# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::FBOTexture1DAttachment Class Reference

A 1D texture renderbuffer to be attached to a framebuffer object rendering target (FBORenderTarget). More...

`#include <FramebufferObject.hpp>`

Inheritance diagram for vl::FBOTexture1DAttachment:

List of all members.

## Public Member Functions
| FBOTexture1DAttachment (Texture *texture, int level)
virtual const char * | className ()
| Returns the name of the class.
Texture * | texture ()
const Texture * | texture () const
int | level () const
virtual void | bindAttachment (int w, int h, EAttachmentPoint attach_point)
| Binds this renderbuffer to the currently active framebuffer object (GL_FRAMEBUFFER).
## Protected Attributes
ref< Texture > | mTexture
int | mLevel

## Detailed Description

A 1D texture renderbuffer to be attached to a framebuffer object rendering target (FBORenderTarget).

Wraps the function glFramebufferTexture1DEXT.

## Constructor & Destructor Documentation

vl::FBOTexture1DAttachment::FBOTexture1DAttachment | ( | Texture * | texture,
|  | int | level |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual const char* vl::FBOTexture1DAttachment::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::FBOAttachmentAbstract.

Texture* vl::FBOTexture1DAttachment::texture | ( |  | ) | `[inline]`

const Texture* vl::FBOTexture1DAttachment::texture | ( |  | ) | const`[inline]`

int vl::FBOTexture1DAttachment::level | ( |  | ) | const`[inline]`

void FBOTexture1DAttachment::bindAttachment | ( | int | w,
|  | int | h,
|  | EAttachmentPoint | attach_point |
| ) |  |  | `[virtual]`

Binds this renderbuffer to the currently active framebuffer object (GL_FRAMEBUFFER).

This function also initializes its storage if 'w' and 'h' differ from the renderbuffer's current width() and height() and the renderbuffer is not a texture.

Implements vl::FBOAttachmentAbstract.

## Member Data Documentation

ref<Texture> vl::FBOTexture1DAttachment::mTexture`[protected]`

int vl::FBOTexture1DAttachment::mLevel`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/FramebufferObject.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/FramebufferObject.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:46 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.